create_blender_table(3)

NAME
create_blender_table - Emulates truecolor blender effects in paletted modes. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void create_blender_table(COLOR_MAP *table, const PALETTE pal, void (*callback)(int pos));

DESCRIPTION
Fills the specified color mapping table with lookup data for doing a paletted equivalent of whatever truecolor blender mode is currently selected. After calling set_trans_blender(), set_blender_mode(), or any of the other truecolor blender mode routines, you can use this function to create an 8-bit mapping table that will have the same results as whatever 24-bit blending mode you have enabled.

SEE ALSO
color_map(3), create_light_table(3), create_trans_table(3), create_color_table(3), draw_trans_sprite(3), draw_lit_sprite(3), draw_gouraud_sprite(3), set_trans_blender(3), set_blender_mode(3)